package com.boman.web.core.domain.vo;
/**
 * @author tjf
 * @Date: 2022/05/13/10:18
 */

import com.boman.domain.BaseEntity;
import com.boman.domain.annotation.Excel;

/**核酸列表页返回
 * @author tjf
 * @Date: 2022/05/13/10:18
 */
public class AccountingDataVo extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private String id;

    /**
     * 检验结果出具时间（审核时间）
     */
    private String jcsj;
    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    private String lxdh;
    /**
     *
     */
    private String address;
    /**
     * 批次号
     */
    private String batchNumber;
    /**
     * 样本重点人群oid
     */
    private String focusPerson;

    /**
     * 检测结果 0:阴性 1:阳性
     */
    private String jcjg;
    /**
     * 从哪儿来
     */
    private String fromCity;
    /**
     * 检测地点
     */
    private String jcdd;
    /**
     * 采集地点
     */
    private String cjdd;
    /**
     * 去哪儿
     */
    private String toCity;
    /**
     * 0=采样收集 1=历史结果导入
     */
    private String source;
    /**
     * 身份证
     */
    @Excel(name = "身份证号")
    private String zjhm;
    /**
     * 采集时间
     */
    @Excel(name = "核酸时间")
    private String cjsj;
    /**
     * 证件类型
     */
    private String certificateNoType;
    /**
     * 姓名
     */
    @Excel(name = "姓名")
    private String xm;
    /**
     * 交通工具
     */
    private String transit;
    /**
     * 采集人名称
     */
    private String collectorName;
    /**
     * 采集县区
     */
    private String cjssxq;

    /**
     * 第三方主键
     */
    private String mainKey;
    /**
     * 第三方修改时间
     */
    private String modifyDate;


    /**
     * 是否删除
     */
    private String isDel;
    /**
     * 是否核酸
     */
    @Excel(name = "是否核酸")
    private String isNucleicAcid;
    /**
     * 时间段
     */
    private String timeSlot;
    /**
     * 人口信息登记的联系电话
     */
    @Excel(name = "联系电话")
    private String phoneNum;



    @Excel(name = "户籍号")
    private String hjh;


    /**
     * 户籍地的省份
     */
    //@Excel(name = "户籍地的省份")
    private String province;

    /**
     * 户籍地的省份
     */
    //@Excel(name = "户籍地的省份")
    private String provinceId;

    /**
     * 户籍地的城市
     */
    //@Excel(name = "户籍地的城市")
    private String city;

    /**
     * 户籍地的城市
     */
    //@Excel(name = "户籍地的城市")
    private String cityId;

    /**
     * 户籍地的区
     */
    //@Excel(name = "户籍地的区")
    private String region;

    /**
     * 户籍地的区
     */
    //@Excel(name = "户籍地的区")
    private String regionId;


    /**
     * 户籍地的镇
     */
    //@Excel(name = "户籍地的镇")
    private String villageTowns;

    /**
     * 户籍地的镇
     */
    //@Excel(name = "户籍地的镇")
    private String villageTownsId;

    /**
     * 户籍地的村
     */
    //@Excel(name = "户籍地的村")
    private String village;

    /**
     * 户籍地的村
     */
    //@Excel(name = "户籍地的村")
    private String villageId;

    /**
     * 户籍地的详细地址
     */
    @Excel(name = "户籍详细地址")
    private String nowIn;
    /** 现居地列表展示 安徽省安庆市潜山市xx乡xx村xx组 */
    @Excel(name = "居住地址")
    private String nowInSelect;
    /** 户籍地列表展示 安徽省安庆市潜山市xx乡xx村xx组 */
    @Excel(name = "户籍地址")
    private String domicileSelect;

    private String provinceIdXjd;
    private String cityIdXjd;
    private String regionIdXjd;
    private String villageTownsIdXjd;
    private String villageIdXjd;

    private String provinceXjd;
    private String cityXjd;
    private String regionXjd;
    private String villageTownsXjd;
    private String villageXjd;
    private String nowXjd;

    public String getNowXjd() {
        return nowXjd;
    }

    public void setNowXjd(String nowXjd) {
        this.nowXjd = nowXjd;
    }

    public String getCityXjd() {
        return cityXjd;
    }

    public void setCityXjd(String cityXjd) {
        this.cityXjd = cityXjd;
    }

    public String getProvinceXjd() {
        return provinceXjd;
    }

    public void setProvinceXjd(String provinceXjd) {
        this.provinceXjd = provinceXjd;
    }

    public String getRegionXjd() {
        return regionXjd;
    }

    public void setRegionXjd(String regionXjd) {
        this.regionXjd = regionXjd;
    }

    public String getVillageTownsXjd() {
        return villageTownsXjd;
    }

    public void setVillageTownsXjd(String villageTownsXjd) {
        this.villageTownsXjd = villageTownsXjd;
    }

    public String getVillageXjd() {
        return villageXjd;
    }

    public void setVillageXjd(String villageXjd) {
        this.villageXjd = villageXjd;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getVillageTownsId() {
        return villageTownsId;
    }

    public void setVillageTownsId(String villageTownsId) {
        this.villageTownsId = villageTownsId;
    }

    public String getVillageId() {
        return villageId;
    }

    public void setVillageId(String villageId) {
        this.villageId = villageId;
    }

    public String getProvinceIdXjd() {
        return provinceIdXjd;
    }

    public void setProvinceIdXjd(String provinceIdXjd) {
        this.provinceIdXjd = provinceIdXjd;
    }

    public String getCityIdXjd() {
        return cityIdXjd;
    }

    public void setCityIdXjd(String cityIdXjd) {
        this.cityIdXjd = cityIdXjd;
    }

    public String getRegionIdXjd() {
        return regionIdXjd;
    }

    public void setRegionIdXjd(String regionIdXjd) {
        this.regionIdXjd = regionIdXjd;
    }

    public String getVillageTownsIdXjd() {
        return villageTownsIdXjd;
    }

    public void setVillageTownsIdXjd(String villageTownsIdXjd) {
        this.villageTownsIdXjd = villageTownsIdXjd;
    }

    public String getVillageIdXjd() {
        return villageIdXjd;
    }

    public void setVillageIdXjd(String villageIdXjd) {
        this.villageIdXjd = villageIdXjd;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getVillageTowns() {
        return villageTowns;
    }

    public void setVillageTowns(String villageTowns) {
        this.villageTowns = villageTowns;
    }

    public String getVillage() {
        return village;
    }

    public void setVillage(String village) {
        this.village = village;
    }

    public String getNowIn() {
        return nowIn;
    }

    public void setNowIn(String nowIn) {
        this.nowIn = nowIn;
    }

    public String getPhoneNum() {
        return phoneNum;
    }

    public void setPhoneNum(String phoneNum) {
        this.phoneNum = phoneNum;
    }

    public String getNowInSelect() {
        return nowInSelect;
    }

    public void setNowInSelect(String nowInSelect) {
        this.nowInSelect = nowInSelect;
    }

    public String getDomicileSelect() {
        return domicileSelect;
    }

    public void setDomicileSelect(String domicileSelect) {
        this.domicileSelect = domicileSelect;
    }

    public String getId() {
        return id;
    }

    public String getIsNucleicAcid() {
        return isNucleicAcid;
    }

    public void setIsNucleicAcid(String isNucleicAcid) {
        this.isNucleicAcid = isNucleicAcid;
    }

    public String getTimeSlot() {
        return timeSlot;
    }

    public void setTimeSlot(String timeSlot) {
        this.timeSlot = timeSlot;
    }

    public String getModifyDate() {
        return modifyDate;
    }

    public void setModifyDate(String modifyDate) {
        this.modifyDate = modifyDate;
    }


    public void setId(String id) {
        this.id = id;
    }


    public String getJcsj() {
        return jcsj;
    }

    public void setJcsj(String jcsj) {
        this.jcsj = jcsj;
    }

    public String getLxdh() {
        return lxdh;
    }

    public void setLxdh(String lxdh) {
        this.lxdh = lxdh;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getBatchNumber() {
        return batchNumber;
    }

    public void setBatchNumber(String batchNumber) {
        this.batchNumber = batchNumber;
    }

    public String getFocusPerson() {
        return focusPerson;
    }

    public void setFocusPerson(String focusPerson) {
        this.focusPerson = focusPerson;
    }

    public String getJcjg() {
        return jcjg;
    }

    public void setJcjg(String jcjg) {
        this.jcjg = jcjg;
    }

    public String getFromCity() {
        return fromCity;
    }

    public void setFromCity(String fromCity) {
        this.fromCity = fromCity;
    }

    public String getJcdd() {
        return jcdd;
    }

    public void setJcdd(String jcdd) {
        this.jcdd = jcdd;
    }

    public String getCjdd() {
        return cjdd;
    }

    public void setCjdd(String cjdd) {
        this.cjdd = cjdd;
    }

    public String getToCity() {
        return toCity;
    }

    public void setToCity(String toCity) {
        this.toCity = toCity;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getZjhm() {
        return zjhm;
    }

    public void setZjhm(String zjhm) {
        this.zjhm = zjhm;
    }

    public String getCjsj() {
        return cjsj;
    }

    public void setCjsj(String cjsj) {
        this.cjsj = cjsj;
    }

    public String getCertificateNoType() {
        return certificateNoType;
    }

    public void setCertificateNoType(String certificateNoType) {
        this.certificateNoType = certificateNoType;
    }

    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getTransit() {
        return transit;
    }

    public void setTransit(String transit) {
        this.transit = transit;
    }

    public String getCollectorName() {
        return collectorName;
    }

    public void setCollectorName(String collectorName) {
        this.collectorName = collectorName;
    }

    public String getCjssxq() {
        return cjssxq;
    }

    public void setCjssxq(String cjssxq) {
        this.cjssxq = cjssxq;
    }

    public String getMainKey() {
        return mainKey;
    }

    public void setMainKey(String mainKey) {
        this.mainKey = mainKey;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    public void setHjh(String hjh) {
        this.hjh = hjh;
    }

    public String getHjh() {
        return hjh;
    }
}
